package com.handler;

import javax.security.auth.callback.Callback;
import javax.security.auth.callback.CallbackHandler;
import javax.security.auth.callback.NameCallback;
import javax.security.auth.callback.PasswordCallback;
import javax.security.auth.callback.UnsupportedCallbackException;

import com.callback.NamePassCallback;

public class DummyCallbackHandler implements CallbackHandler {
	
	String user;
	String pass;
	
	public DummyCallbackHandler(String user, String pass) {
		this.user = user;
		this.pass = pass;
	}
	
	@Override
	public void handle(Callback[] callbacks) throws UnsupportedCallbackException {		
		for ( int i = 0; i < callbacks.length; i++ ) {			 
			if (callbacks[i] instanceof NamePassCallback) {				
				NamePassCallback namepassCallback = (NamePassCallback)callbacks[i];
				System.out.println("No need for prompt, we'll just use values in: " + namepassCallback.getPrompt());
				namepassCallback.setUser(user);
				namepassCallback.setPass(pass);			 
			} else if (callbacks[i] instanceof NameCallback) {				
				NameCallback nameCallback = (NameCallback)callbacks[i];
				nameCallback.setName(user);			 
			} else if (callbacks[i] instanceof PasswordCallback) {				
				PasswordCallback passCallback = (PasswordCallback)callbacks[i];
				passCallback.setPassword(pass.toCharArray());			 
			} else {				
				throw new UnsupportedCallbackException(callbacks[i], "UnsupportedCallbackException");				
			}	
		}	
	}
}
