package com.jassdemo;

import java.security.Principal;
import java.util.Set;

import javax.security.auth.Subject;
import javax.security.auth.login.LoginContext;
import javax.security.auth.login.LoginException;

import com.handler.DummyCallbackHandler;


public class JaasTest {
	
	public static void main(String args[]) {
		
		System.setProperty("java.security.auth.login.config", "jaas.config");	//config file!
		
		LoginContext lc = null;
		try {
			
			lc = new LoginContext("Example", new DummyCallbackHandler("username","password"));
	        lc.login();
	        
	        Subject sub=lc.getSubject();
	        Set<Principal> principals=sub.getPrincipals();
	        Set<Object> credentials=sub.getPublicCredentials();
	        
	        System.out.println(principals);
	        System.out.println(credentials);
	        
	    } catch (LoginException e) {
	        // Authentication failed.
	    	e.printStackTrace();
	    }
		
		// Authentication successful, we can now continue.
		// We can use the returned Subject if we like.
		Subject sub = lc.getSubject();	    
	}
	
}
